BEGIN ~BGREPLACE~

//Ajantis-Xan//

REPLACE ~BAJANT~

IF WEIGHT #1 ~InParty([0.0.0.0.0.0.MASK_EVIL])
InParty("Xan")
See("Xan")
RandomNum(2,1)
Global("BGAjXa1","GLOBAL",0)~ THEN BEGIN 1 
  SAY ~There is not but good and evil, I suspect you are of the latter.~ [ADJANT28]
  IF ~~ THEN DO ~SetGlobal("BGAjXa1","GLOBAL",1)~ EXTERN ~BXANNN~ 4
END

IF WEIGHT #2 ~InParty([0.0.0.0.0.0.MASK_EVIL])
InParty("Xan")
See("Xan")
RandomNum(2,2)
Global("BGAjXa2","GLOBAL",0)~
THEN BEGIN 2 
  SAY ~Evil must be purged wherever it is found, even among companions.~ [ADJANT29]
  IF ~~ THEN DO ~SetGlobal("BGAjXa2","GLOBAL",1)~ EXTERN ~BXANNN~ 3
END
END

//Alora-Edwin, Eldoth//

REPLACE ~BALORA~

IF ~InteractingWith("Edwin")
RandomNum(2,1) Global("BGALED1","GLOBAL",0)
~ THEN BEGIN 0 
  SAY ~So you're a mage?  I knew a mage once but he was pretty stuffy.  You're not like that.~ [ALORA27]
  IF ~~ THEN DO ~SetGlobal("BGALED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 3
END

IF ~InteractingWith("Garrick")
See("Eldoth")  Global("BGALEL1","GLOBAL",0)
~ THEN BEGIN 3 
  SAY ~Play your song again, Garrick.  That one I like.  Please?~ [ALORA30]
  IF ~~ THEN DO ~SetGlobal("BGALEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 4
END
END
//Branwen - naught //

//Coran -Safana//

REPLACE ~BCORAN~

IF ~InteractingWith("Safana")
RandomNum(8,2) Global("BGCOSA1","GLOBAL",0)
~ THEN BEGIN 1 
  SAY ~Sometimes Safana, I find myself attracted to you, despite your shallow spiteful demeanor.~ [CORAN28]
  IF ~~ THEN DO ~SetGlobal("BGCOSA1","GLOBAL",1)~ EXTERN ~BSAFAN~ 0
END

IF ~InteractingWith("Safana")
RandomNum(8,3) Global("BGCOSA2","GLOBAL",0)
~ THEN BEGIN 2 
  SAY ~You've been dominating my thoughts recently Safana.  It's distracting my work.~ [CORAN29]
  IF ~~ THEN DO ~SetGlobal("BGCOSA2","GLOBAL",1)~ EXTERN ~BSAFAN~ 1
END

IF ~InteractingWith("Safana")
RandomNum(8,6) Global("BGCOSA2","GLOBAL",0)
~ THEN BEGIN 5 
  SAY ~You've been dominating my thoughts recently Safana.  It's distracting my work.~ [CORAN29]
  IF ~~ THEN DO ~SetGlobal("BGCOSA2","GLOBAL",1)~ EXTERN ~BSAFAN~ 1
END

IF ~InteractingWith("Safana")
RandomNum(8,4) Global("BGCOSA3","GLOBAL",0)
~ THEN BEGIN 3 
  SAY ~If you weren't such a self serving wench...I don't think I'd find you half as attractive.~ [CORAN30]
  IF ~~ THEN DO ~SetGlobal("BGCOSA3","GLOBAL",1)~ EXTERN ~BSAFAN~ 2
END

IF ~InteractingWith("Safana")
RandomNum(8,7) Global("BGCOSA3","GLOBAL",0)
~ THEN BEGIN 6 
  SAY ~If you weren't such a self serving wench...I don't think I'd find you half as attractive.~ [CORAN30]
  IF ~~ THEN DO ~SetGlobal("BGCOSA3","GLOBAL",1)~ EXTERN ~BSAFAN~ 3
END

IF ~InteractingWith("Safana")
RandomNum(8,5) Global("BGCOSA4","GLOBAL",0)
~ THEN BEGIN 4 
  SAY ~Admit it Safana, you sometimes find me to your liking.~ [CORAN31]
  IF ~~ THEN DO ~SetGlobal("BGCOSA4","GLOBAL",1)~ EXTERN ~BSAFAN~ 4
END

IF ~InteractingWith("Safana")
RandomNum(8,8) Global("BGCOSA4","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~Admit it Safana, you sometimes find me to your liking.~ [CORAN31]
  IF ~~ THEN DO ~SetGlobal("BGCOSA4","GLOBAL",1)~ EXTERN ~BSAFAN~ 3
END

IF ~InteractingWith("Safana")  Global("BGCOSA4","GLOBAL",0)
~ THEN BEGIN 8 
  SAY ~Admit it Safana, you sometimes find me to your liking.~ [CORAN31]
  IF ~~ THEN DO ~SetGlobal("BGCOSA1","GLOBAL",4)~ EXTERN ~BSAFAN~ 5
END
END

//Dynaheir-Minsc,Edwin //

REPLACE ~BDYNAH~

IF ~InteractingWith("Minsc")  Global("BGDYMI1","GLOBAL",0)
~ THEN BEGIN 0 
  SAY ~Must thou keep that rodent so close?  'Tis surely unclean.~ [DYNAH27]
  IF ~~ THEN DO ~SetGlobal("BGDYMI1","GLOBAL",1)~ EXTERN ~BMINSC~ 5
END

IF ~InteractingWith("Edwin")
InParty("Minsc")
See("Minsc")
RandomNum(2,1) Global("BGDYED1","GLOBAL",0)
~ THEN BEGIN 5 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36]
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 0
END

IF ~InteractingWith("Edwin")
!InParty("Minsc") Global("BGDYED1","GLOBAL",0)
~ THEN BEGIN 6 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36]
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 5
END

IF ~InteractingWith("Edwin")
RandomNum(2,1) Global("BGDYED1","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36] 
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 8
END

IF ~InteractingWith("Edwin") Global("BGDYED1","GLOBAL",0)
~ THEN BEGIN 12 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36] 
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 9
END

IF ~InteractingWith("Edwin")
InParty("Minsc") Global("BGDYED1","GLOBAL",0)
See("Minsc")
~ THEN BEGIN 15 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36] 
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 11
END

IF ~InteractingWith("Edwin")
InParty("Alora") Global("BGDYED1","GLOBAL",0)
See("Alora")
~ THEN BEGIN 16 
  SAY ~I should keep an eye towards Edwin.  One can only expect treachery from his kind.~ [DYNAH36]
  IF ~~ THEN DO ~SetGlobal("BGDYED1","GLOBAL",1)~ EXTERN ~BEDWIN~ 12
END
END

//EDWIN - Alora//

REPLACE ~BEDWIN~

IF ~InteractingWith("Alora") Global("BGEDAL1","GLOBAL",0)
~ THEN BEGIN 14 
  SAY ~'Tis welcome you find no fault with one such as I.  ~ [EDWIN30]
  IF ~~ THEN DO ~SetGlobal("BGEDAL1","GLOBAL",1)~ EXTERN ~BALORA~ 6
END
END

//Eldoth-  Sharteel, Xan //

REPLACE ~BELDOT~

IF ~InteractingWith("Sharteel")
RandomNum(3,1) Global("BGELSH1","GLOBAL",0)
~ THEN BEGIN 17 
  SAY ~The first duty in life is to be as artificial as possible.~
  IF ~~ THEN DO ~SetGlobal("BGELSH1","GLOBAL",1)~ EXTERN ~BSHART~ 6
END

IF ~InteractingWith("Sharteel")
RandomNum(3,2)  Global("BGELSH2","GLOBAL",0)
~ THEN BEGIN 18 
  SAY ~Only shallow people don't judge by appearance.~
  IF ~~ THEN DO ~SetGlobal("BGELSH2","GLOBAL",1)~ EXTERN ~BSHART~ 7
END

IF ~InteractingWith("Sharteel")
RandomNum(3,3) Global("BGELSH3","GLOBAL",0)
~ THEN BEGIN 19 
  SAY ~There is no good or evil, only the charming and the tedious.~
  IF ~~ THEN DO ~SetGlobal("BGELSH3","GLOBAL",1)~ EXTERN ~BSHART~ 8
END

IF ~InteractingWith("Sharteel") Global("BGELSH3","GLOBAL",0)
~ THEN BEGIN 20 
  SAY ~There is no good or evil, only the charming and the tedious.~
  IF ~~ THEN DO ~SetGlobal("BGELSH3","GLOBAL",1)~ EXTERN ~BSHART~ 9
END

IF ~InteractingWith("Xan")
RandomNum(2,1) Global("BGELXA1","GLOBAL",0)
~ THEN BEGIN 21 
  SAY ~The first duty in life is to be as artificial as possible.~
  IF ~~ THEN DO ~SetGlobal("BGELXA1","GLOBAL",1)~ EXTERN ~BXANNN~ 0
END

IF ~InteractingWith("Xan") Global("BGELXA2","GLOBAL",0)
~ THEN BEGIN 22 
  SAY ~Only shallow people don't judge by appearance.~
  IF ~~ THEN DO ~SetGlobal("BGELXA2","GLOBAL",1)~ EXTERN ~BXANNN~ 2
END
END

//FALDORN: naught//

//Garrick: Skie //

REPLACE ~BGARRI~

IF ~InteractingWith("Skie")  Global("BGGASK1","GLOBAL",0)
~ THEN BEGIN 0 
  SAY ~Perhaps you'd care to hear my music Skie, it's very different and somewhat better than Eldoth's.~ [GARRK27]
  IF ~~ THEN DO ~SetGlobal("BGGASK1","GLOBAL",1)~ EXTERN ~BSKIE~ 3
END

IF ~InteractingWith("Skie")
InParty("Eldoth") Global("BGGASK1","GLOBAL",0)
See("Eldoth")
~ THEN BEGIN 5 
  SAY ~Perhaps you'd care to hear my music Skie, it's very different and somewhat better than Eldoth's.~ [GARRK27]
  IF ~~ THEN DO ~SetGlobal("BGGASK1","GLOBAL",1)~ EXTERN ~BSKIE~ 5
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth") Global("BGGASK2","GLOBAL",0)
~ THEN BEGIN 1 
  SAY ~Why do you stay with Eldoth, Skie?  Can't you see he's just using you?~ [GARRK28]
  IF ~~ THEN DO ~SetGlobal("BGGASK2","GLOBAL",1)~ EXTERN ~BSKIE~ 4
END

IF ~InteractingWith("Skie")
InParty("Minsc")
See("Minsc") Global("BGGASK3","GLOBAL",0)
~ THEN BEGIN 4 
  SAY ~A girl of beauty is a joy forever.~ [GARRK31]
  IF ~~ THEN DO ~SetGlobal("BGGASK3","GLOBAL",1)~ EXTERN ~BSKIE~ 6
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")
Global("BGGASK3","GLOBAL",0)
~ THEN BEGIN 6 
  SAY ~A girl of beauty is a joy forever.~ [GARRK31]
  IF ~~ THEN DO ~SetGlobal("BGGASK3","GLOBAL",1)~ EXTERN ~BSKIE~ 7
END

IF ~InteractingWith("Skie")
InParty("Eldoth")
See("Eldoth")  Global("BGGASK3","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~A girl of beauty is a joy forever.~ [GARRK31]
  IF ~~ THEN DO ~SetGlobal("BGGASK3","GLOBAL",1)~ EXTERN ~BSKIE~ 8
END
END

//Jaheira: Khalid, Xzar//

REPLACE ~BJAHEI~

IF ~InteractingWith("Khalid")
RandomNum(2,1) Global("BGJAKH1","GLOBAL",0)
~ THEN BEGIN 0 
  SAY ~Khalid, my dear, 'twould take a sailor to untie that tongue.~ [JAHER27]
  IF ~~ THEN DO ~SetGlobal("BGJAKH1","GLOBAL",1)~ EXTERN ~BKHALI~ 0
END

IF ~InteractingWith("Kahlid")
RandomNum(2,2) Global("BGJAKH1","GLOBAL",0)
~ THEN BEGIN 5 
  SAY ~Khalid, my dear, 'twould take a sailor to untie that tongue.~ [JAHER27]
  IF ~~ THEN DO ~SetGlobal("BGJAKH1","GLOBAL",1)~ EXTERN ~BKHALI~ 5
END

IF ~InteractingWith("Khalid")
RandomNum(2,1) Global("BGJAKH2","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~Is grass not made of blades?  Do stars not shoot?  Nature be well armed, and demands so of her servants! ~
  IF ~~ THEN DO ~SetGlobal("BGJAKH2","GLOBAL",1)~ EXTERN ~BKHALI~ 6
END

IF ~InteractingWith("Kahlid") RandomNum(2,2) Global("BGJAKH2","GLOBAL",0)
~ THEN BEGIN 8 
  SAY ~Is grass not made of blades?  Do stars not shoot?  Nature be well armed, and demands so of her servants! ~
  IF ~~ THEN DO ~SetGlobal("BGJAKH2","GLOBAL",1)~ EXTERN ~BKHALI~ 7
END

IF ~InteractingWith("Xzar") RandomNum(2,2) Global("BGJAXZ1","GLOBAL",0)
~ THEN BEGIN 6 
  SAY ~Do you claim to fight evil while you are diabolic yourself?~ [JAHER30]
  IF ~~ THEN DO ~SetGlobal("BGJAXZ1","GLOBAL",1)~ EXTERN ~BXZAR~ 5
END

IF ~InteractingWith("Xzar")
RandomNum(2,1) Global("BGJAXZ1","GLOBAL",0)
~ THEN BEGIN 3 
  SAY ~Do you claim to fight evil while you are diabolic yourself?~ [JAHER30]
  IF ~~ THEN DO ~SetGlobal("BGJAXZ1","GLOBAL",1)~ EXTERN ~BXZAR~ 3
END
END

//Kagain naught-fight //
//Kivan naught-already done //

//Khalid Montaron//

REPLACE ~BKHALI~

IF ~InteractingWith("Montaron")
RandomNum(2,1) Global("BGKHMO1","GLOBAL",0)
~ THEN BEGIN 3 
  SAY ~Usually everyone proves themselves, but there is something...disturbing about you.   ~ [KHALD30]
  IF ~~ THEN DO ~SetGlobal("BGKHMO1","GLOBAL",1)~ EXTERN ~BMONTA~ 3
END

IF ~InteractingWith("Montaron") RandomNum(2,2)
Global("BGKHMO1","GLOBAL",0)
~ THEN BEGIN 10 
  SAY ~Usually everyone proves themselves, but there is something...disturbing about you.   ~ [KHALD30]
  IF ~~ THEN DO ~SetGlobal("BGKHMO1","GLOBAL",1)~ EXTERN ~BMONTA~ 5
END

IF ~InteractingWith("Xzar")
RandomNum(2,1)  Global("BGKHXZ1","GLOBAL",0)
~ THEN BEGIN 8 
  SAY ~Usually everyone proves themselves, but there is something...disturbing about you.   ~ [KHALD30]
  IF ~~ THEN DO ~SetGlobal("BGKHXZ1","GLOBAL",1)~ EXTERN ~BXZAR~ 6
END

IF ~InteractingWith("Xzar")
RandomNum(2,2)  Global("BGKHXZ1","GLOBAL",0)
~ THEN BEGIN 9 
  SAY ~Usually everyone proves themselves, but there is something...disturbing about you.   ~ [KHALD30]
  IF ~~ THEN DO ~SetGlobal("BGKHXZ1","GLOBAL",1)~ EXTERN ~BXZAR~ 7
END
END

//Minsc Dynaheir//

REPLACE ~BMINSC~

IF ~InteractingWith("Dynaheir")
RandomNum(2,1) Global("BGMIDY1","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~Stand ye not to close!  Dynaheir is under my protection!~ [MINSC30]
  IF ~~ THEN DO ~SetGlobal("BGMIDY1","GLOBAL",1)~ EXTERN ~BDYNAH~ 1
END

IF ~InteractingWith("Dynaheir")
RandomNum(2,2) Global("BGMIDY1","GLOBAL",0)
~ THEN BEGIN 8 
  SAY ~Stand ye not to close!  Dynaheir is under my protection!~ [MINSC30]
  IF ~~ THEN DO ~SetGlobal("BGMIDY1","GLOBAL",1)~ EXTERN ~BDYNAH~ 17
END
END

//Montaron naught//

//Quayle naught//

//Safana naught //

//Shar-Teel Eldoth //

REPLACE ~BSHART~

IF ~InteractingWith("Eldoth")
RandomNum(2,1)  Global("BGSHEL1","GLOBAL",0)
~ THEN BEGIN 12 
  SAY ~Sometimes the smell of a man makes me sick to my stomach.~
  IF ~~ THEN DO ~SetGlobal("BGSHEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 3
END

IF ~InteractingWith("Eldoth")
RandomNum(2,2) Global("BGSHEL1","GLOBAL",0)
~ THEN BEGIN 15 
  SAY ~Sometimes the smell of a man makes me sick to my stomach.~
  IF ~~ THEN DO ~SetGlobal("BGSHEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 7
END

IF ~InteractingWith("Eldoth")
Global("BGSHEL2","GLOBAL",0)
~ THEN BEGIN 13 
  SAY ~Men never think with their minds.~
  IF ~~ THEN DO ~SetGlobal("BGSHEL2","GLOBAL",1)~ EXTERN ~BELDOT~ 5
END

IF ~InteractingWith("Eldoth")
Global("BGSHEL3","GLOBAL",0)
~ THEN BEGIN 14 
  SAY ~Men are pathetic.~
  IF ~~ THEN DO ~SetGlobal("BGSHEL3","GLOBAL",1)~ EXTERN ~BELDOT~ 6
END
END

//SKIE Eldoth//

REPLACE ~BSKIE~

IF ~InteractingWith("Eldoth")
RandomNum(3,1) Global("BGSKEL1","GLOBAL",0)
~ THEN BEGIN 0 
  SAY ~Eldoth, why do you treat our companions so badly?~ [SKIEE27]
  IF ~~ THEN DO ~SetGlobal("BGSKEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 0
END

IF ~InteractingWith("Eldoth")
RandomNum(3,3) Global("BGSKEL1","GLOBAL",0)
~ THEN BEGIN 9 
  SAY ~Eldoth, why do you treat our companions so badly?~ [SKIEE27]
  IF ~~ THEN DO ~SetGlobal("BGSKEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 15
END

IF ~InteractingWith("Eldoth")
RandomNum(3,2)  Global("BGSKEL1","GLOBAL",0)
~ THEN BEGIN 10 
  SAY ~Eldoth, why do you treat our companions so badly?~ [SKIEE27]
  IF ~~ THEN DO ~SetGlobal("BGSKEL1","GLOBAL",1)~ EXTERN ~BELDOT~ 16
END

IF ~InteractingWith("Eldoth")
 Global("BGSKEL2","GLOBAL",0)
~ THEN BEGIN 1 
  SAY ~I love you Eldoth.~ [SKIEE28]
  IF ~~ THEN DO ~SetGlobal("BGSKEL2","GLOBAL",1)~ EXTERN ~BELDOT~ 1
END
END

//Tiax Quayle, Branwen//

REPLACE ~BTIAX~

IF ~InteractingWith("Quayle")
RandomNum(2,1)  Global("BGTIQU1","GLOBAL",0)
~ THEN BEGIN 6 
  SAY ~Where will your learning get you when Tiax rules?  Duke of manure at best!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU1","GLOBAL",1)~ EXTERN ~BQUAYL~ 8
END

IF ~InteractingWith("Quayle")
RandomNum(2,2) Global("BGTIQU1","GLOBAL",0)
~ THEN BEGIN 7 
  SAY ~Where will your learning get you when Tiax rules?  Duke of manure at best!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU1","GLOBAL",1)~ EXTERN ~BQUAYL~ 9
END

IF ~InteractingWith("Quayle")
Global("BGTIQU2","GLOBAL",0)
~ THEN BEGIN 9 
  SAY ~All the world will tremble beneath the feet of Tiax!~ [TIAXX30]
  IF ~~ THEN DO ~SetGlobal("BGTIQU2","GLOBAL",1)~ EXTERN ~BQUAYL~ 2
END

IF ~InteractingWith("Quayle")
Global("BGTIQU3","GLOBAL",0)
RandomNum(2,1)
~ THEN BEGIN 14 
  SAY ~Tiax WILL rule ALL!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU3","GLOBAL",1)~ EXTERN ~BQUAYL~ 0
END

IF ~InteractingWith("Quayle")
RandomNum(2,2) Global("BGTIQU3","GLOBAL",0)
~ THEN BEGIN 15 
  SAY ~Tiax WILL rule ALL!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU3","GLOBAL",1)~ EXTERN ~BQUAYL~ 5
END

IF ~InteractingWith("Quayle")
RandomNum(2,1) Global("BGTIQU4","GLOBAL",0)
~ THEN BEGIN 16 
  SAY ~Tiax does as ye will, but one day...BOOM!  He rules!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU4","GLOBAL",1)~ EXTERN ~BQUAYL~ 6
END

IF ~InteractingWith("Quayle")
RandomNum(2,2)  Global("BGTIQU4","GLOBAL",0)
~ THEN BEGIN 17 
  SAY ~Tiax does as ye will, but one day...BOOM!  He rules!~
  IF ~~ THEN DO ~SetGlobal("BGTIQU4","GLOBAL",1)~ EXTERN ~BQUAYL~ 7
END

IF ~InteractingWith("Branwen")
RandomNum(3,1) Global("BGTIBA1","GLOBAL",0)
~ THEN BEGIN 10 
  SAY ~All the world will tremble beneath the feet of Tiax!~ [TIAXX30]
  IF ~~ THEN DO ~SetGlobal("BGTIBA1","GLOBAL",1)~ EXTERN ~BBRANW~ 3
END

IF ~InteractingWith("Branwen")
RandomNum(3,2) Global("BGTIBA1","GLOBAL",0)
~ THEN BEGIN 11 
  SAY ~All the world will tremble beneath the feet of Tiax!~ [TIAXX30]
  IF ~~ THEN DO ~SetGlobal("BGTIBA1","GLOBAL",1)~ EXTERN ~BBRANW~ 4
END

IF ~InteractingWith("Branwen")
RandomNum(3,3) Global("BGTIBA1","GLOBAL",0)
~ THEN BEGIN 12
  SAY ~All the world will tremble beneath the feet of Tiax!~ [TIAXX30]
  IF ~~ THEN DO ~SetGlobal("BGTIBA1","GLOBAL",1)~ EXTERN ~BBRANW~ 6
END
END

//Viconia already done//

//Xan naught//

//Xzar//

REPLACE ~BXZAR~
IF ~InteractingWith("Montaron")
RandomNum(2,1) Global("BGXZMO1","GLOBAL",0)
~ THEN BEGIN 0
SAY ~Tell us a story, Monty.  Something with bears and gold.~ [XZARR27]
  IF ~~ THEN DO ~SetGlobal("BGXZMO1","GLOBAL",1)~ EXTERN ~BMONTA~ 0
END

IF ~InteractingWith("Montaron")
RandomNum(2,2) Global("BGXZMO2","GLOBAL",0)
~ THEN BEGIN 1
SAY ~HaHAR there Montaron!  Quite the fight, eh chum!~ [XZARR28]
IF ~~ THEN DO ~SetGlobal("BGXZMO2","GLOBAL",1)~ EXTERN ~BMONTA~ 1
END

IF ~InteractingWith("Montaron") Global("BGXZMO3","GLOBAL",0)
~ THEN BEGIN 8
  SAY ~C'mon Montaron, lighten up.  Must you be so moody all the time?~ [XZARR29]
  IF ~~ THEN DO ~SetGlobal("BGXZMO3","GLOBAL",1)~ EXTERN ~BMONTA~ 2
END
END

